aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEvgeny Grin (Karlson2k) <k2k@narod.ru>2023-12-28 09:26:47 +0300
committerEvgeny Grin (Karlson2k) <k2k@narod.ru>2023-12-28 09:26:47 +0300
commitc39c55a2200f339e7f9e712bafbbfb260500aa2f (patch)
treecad05937dc5cbec8760bc52c56d2a933e71025ca
parentc9402fb97193c6a6235ec5d59abb544971c4a377 (diff)
downloadlibmicrohttpd-c39c55a2200f339e7f9e712bafbbfb260500aa2f.tar.gz
libmicrohttpd-c39c55a2200f339e7f9e712bafbbfb260500aa2f.zip
bootstrap: simplified autotools invocation
Old workarounds are not needed any more as autopoint is executed now automatically by 'make dist'
-rwxr-xr-xbootstrap31
1 files changed, 8 insertions, 23 deletions
diff --git a/bootstrap b/bootstrap
index f2ff8a0a..990c6447 100755
--- a/bootstrap
+++ b/bootstrap
@@ -55,26 +55,11 @@ else
55 echo "Uncrustify not detected, hook not installed. Please install uncrustify if you plan on doing development." 55 echo "Uncrustify not detected, hook not installed. Please install uncrustify if you plan on doing development."
56fi 56fi
57 57
58if have_command libtool || have_command libtoolize || have_command glibtoolize || have_command slibtool; then 58aclocal -I m4 --install && \
59 echo "Running autotools..." 59 libtoolize -c -i -v && \
60 have_command libtoolize && \ 60 autoconf && \
61 aclocal -I m4 --install && \ 61 autoheader && \
62 libtoolize -c -i -v && \ 62 automake -a -c --gnu || \
63 autoconf && \ 63 echo "Trying with autoreconf..." &&
64 autoheader && \ 64 autoreconf -vi ${1+"$@"} || \
65 automake -a -c --gnu 65 echo "*** Failed to build autoconf output files ***" >&2
66 if test $? -ne 0 || ! test -x configure || ! test -f Makefile.in ; then
67 echo "Trying with autoreconf..."
68 if ! autoreconf -i ${1+"$@"} ; then
69 echo "Failed to autoreconf, retrying with force install..."
70 if ! autoreconf -i -f ${1+"$@"} ; then
71 echo "*** Failed to create 'configure' and other autotools generated files. ***" >&2
72 exit 1
73 fi
74 fi
75 fi
76 echo "The ${bs_scrdir-.}/configure is ready to run."
77else
78 echo "*** No libtoolize or libtool found, please install it ***" >&2;
79 exit 1
80fi